"""Set current project to nullable and add password field

Revision ID: e6057fd41bab
Revises: 9ec3c9ddbbf2
Create Date: 2021-06-23 10:30:09.221902

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'e6057fd41bab'
down_revision = '9ec3c9ddbbf2'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('user', sa.Column('password', sa.String(), nullable=False))
    op.alter_column('user', 'current_project',
               existing_type=sa.VARCHAR(),
               nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('user', 'current_project',
               existing_type=sa.VARCHAR(),
               nullable=False)
    op.drop_column('user', 'password')
    # ### end Alembic commands ###
